### Method

# Gck Builder add_only

#### Declaration [src]

    void
    gck_builder_add_only (
      GckBuilder* builder,
      GckAttributes* attrs,
      gulong only_type,
      ...
    )

#### Description [src]

Add the attributes specified in the argument list from `attrs` to the builder. The attributes are added uncondititionally whether or not attributes with the same types already exist in the builder.

The variable arguments must be unsigned longs.

    // Add the CKA_ID and CKA_CLASS attributes from attrs to builder
    gck_builder_add_only (builder, attrs, CKA_ID, CKA_CLASS, GCK_INVALID);

As an optimization, the attribute memory values are automatically shared between the attributes and the builder.

This method is not directly available to language bindings.
The implementation of this method is provided by `gck_builder_add_onlyv()` in language bindings

#### Parameters

`attrs` | `GckAttributes`
| The attributes to add.
| The data is owned by the caller of the function.
`only_type` | `gulong`
| The first type of attribute to add.
`...` | ``
| The remaining attribute types to add, ending with `GCK_INVALID`